@ECHO OFF
REM -------------------------------------------------------------------
REM Licensed Materials - Property of IBM
REM
REM WebSphere Commerce
REM 
REM (c) Copyright IBM Corp. 2006
REM All rights reserved
REM 
REM US Government Users Restricted Rights - Use, duplication or
REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
REM -------------------------------------------------------------------

REM
REM WebSphere Commerce Enabled Portal configuration script
REM
REM ###########################################################################
REM Change History :
REM
REM ###########################################################################

set DEFAULT_WAS_HOME=C:\RAD6\runtimes\base_v6

if "%WAS_HOME%" == "" goto TEST_DEFAULT

:TEST_WAS_HOME
if not exist "%WAS_HOME%\java\bin\java.exe" goto SHOW_USAGE
goto EXEC_ANT

:TEST_DEFAULT
if not exist "%DEFAULT_WAS_HOME%\java\bin\java.exe" goto SHOW_USAGE
set WAS_HOME=%DEFAULT_WAS_HOME%
goto EXEC_ANT

:SHOW_USAGE
echo ERROR:
echo    WAS_HOME environment variable is not probably set.
echo    Please make sure that the WAS_HOME environment variable is set.
echo    For example:
echo       > SET WAS_HOME=C:\RAD6\runtimes\base_v6
echo.
goto EXIT

:EXEC_ANT
echo.
echo Licensed Materials - Property of IBM
echo WebSphere Commerce
echo.
echo (C) Copyright IBM Corp. 2001, 2003  All Rights Reserved.
echo.
echo Running WebSphere Commerce Enabled Portal configuration
echo.

set ANT_CLASSPATH=./lib/ant.jar;./lib/ant-launcher.jar;./lib/xml-apis.jar;./lib/xercesImpl.jar

cd /d %~dp0

"%WAS_HOME%/java/bin/java.exe" -cp %ANT_CLASSPATH% org.apache.tools.ant.Main -buildfile wpsconfig.xml -Dplatform.script.ext=bat %* 2>&1
	
:EXIT
